//******************************************************************************
// ADOBE CONFIDENTIAL
// ___________________
//
//  Copyright 2017 Adobe Systems Incorporated
//  All Rights Reserved.
//
// NOTICE:  All information contained herein is, and remains
// the property of Adobe Systems Incorporated and its suppliers,
// if any.  The intellectual and technical concepts contained
// herein are proprietary to Adobe Systems Incorporated and its
// suppliers and may be covered by U.S. and Foreign Patents,
// patents in process, and are protected by trade secret or copyright law.
// Dissemination of this information or reproduction of this material
// is strictly forbidden unless prior written permission is obtained
// from Adobe Systems Incorporated.
//******************************************************************************

package com.adobe.cq.dam.dm.internalapi.image_server;

import javax.annotation.Nullable;

/**
 * Defines API for getting rendition mime type and size only
 */
public class ResponseProps {

    public static ResponseProps responseProps(String mimeType, long size) {
		return null;
	}

    /**
     * Rendition mime type. <code>null</code> if unknown
     */
    @Nullable
    public final String mimeType;

    /**
     * Rendition size. <code>-1</code> if unknown
     */
    public final long size;

    //*********************************************
    // Internals
    //*********************************************

    private ResponseProps(String mimeType, long size) {
        this.mimeType = mimeType;
        this.size = size;
    }

}

