/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.mobile.ui;

import org.apache.sling.api.resource.Resource;
import org.osgi.framework.ServiceReference;

import java.util.List;

public interface PushNotificationDataSource {

    /**
     * Retrieve the list of notifications for an app.
     *
     * @return a List notification resources
     * @throws Exception
     */
    List<Resource> getNotifications() throws Exception {
		return null;
	}

    /**
     * Retrieve the list of notifications services.
     * @return a list of notifications services
     * @throws Exception
     */
    List<ServiceReference> getNotificationServices() throws Exception {
		return null;
	}
}
