/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.resource.model.api;

import com.adobe.cq.social.scf.SocialComponent;

public interface EnablementAuthorizable extends SocialComponent {
    public static final String AUTHORIZABLE_AVATAR_SUFFIX = "/profile/photos/primary/image";
    public static final String AVATAR_DEFAULT_PATH = "/etc/designs/default/images/social/avatar.png";
    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/resource/authorizable";

    public static final String AUTHORIZABLE_ID = "se_userId";
    public static final String AUTHORIZABLE_NAME = "se_userName";
    public static final String AUTHORIZABLE_EMAIL = "se_userEmail";
    public static final String AUTHORIZABLE_PROFILE_PATH = "se_userPath";
    public static final String AUTHORIZABLE_AVATAR_URL = "se_userAvatarUrl";

    public String getAuthId() {
		return null;
	}

    public String getAuthName() {
		return null;
	}

    public String getAuthEmail() {
		return null;
	}

    public Boolean isGroup() {
		return null;
	}

    public String getAuthPath() {
		return null;
	}

    public String getAuthAvatarUrl() {
		return null;
	}
}
