/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.enablement.resource.model.api;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.apache.sling.api.resource.PersistenceException;

import com.adobe.cq.social.enablement.exceptions.EnablementException;
import com.adobe.cq.social.scf.SocialComponent;

public interface EnablementAuthorizables extends SocialComponent {

    public static final String RESOURCE_TYPE = "social/enablement/components/hbs/model/resource/authorizables";

    public boolean isEmpty() {
		return false;
	}

    public Iterator<EnablementAuthorizable> iterator() {
		return null;
	}

    public boolean remove(EnablementAuthorizable authorizable) {
		return false;
	}

    public void clear() throws PersistenceException, EnablementException {
	}

    /**
     * @param authorizableMap
     * @throws PersistenceException
     */
    public void addAll(Map<String, Object> authorizableMap) throws PersistenceException {
	}

    public List<EnablementAuthorizable> getAuthorizables() {
		return null;
	}

}
