/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/
package com.adobe.cq.social.enablement.resource.reporting.api;

import java.util.List;

import com.adobe.cq.social.scf.SocialComponent;

/**
 * Resource assignment status interface.
 */
public interface EnablementResourceAssignmentStatus extends SocialComponent {

    /** Resource type of component. */
    String RESOURCE_TYPE = "social/enablement/reports/resource/assignmentstatus";

    /**
     * @return a list where each item corresponds to the list of resources that was provided as input and represents
     *         the resource assignment status (not-started, in-progress, completed, etc.) for the user making the
     *         request.
     */
    List<Integer> getAssignmentStatus() {
		return null;
	}

}
