/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.ideation.client.endpoints;

import com.adobe.cq.social.ideation.client.api.IdeaComment;
import com.adobe.cq.social.scf.Operation;
import com.adobe.cq.social.scf.OperationExtension;

public interface IdeationOperationExtension extends OperationExtension<IdeaComment> {
    /**
     * Operation types.
     */
    public enum IdeationOperation implements Operation {
        /** Create Operation. */
        CREATE,
        /** Update operation. */
        UPDATE,
        /** Delete operation. */
        DELETE,
        /** Upload Image operation. */
        UPLOADIMAGE,
        /** Change state operation */
        CHANGESTATE;
    };
}
