/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.members.api;

import java.util.Map;

import com.adobe.cq.social.scf.SocialAuthorizable;

public interface CommunityMemberGroup extends SocialAuthorizable {
    String RESOURCE_TYPE = "social/members/components/hbs/groups/group";
    String COMMUNITY_GROUPS_PATH = "/home/groups/community";

    /**
     * @return number of members
     */
    Integer getNumberOfMembers() {
		return null;
	}

    /**
     * Get the description of a group.
     * @return the description of a group
     */
    String getDescription() {
		return null;
	}
}
