/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.members.api;

import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.scf.community.CommunityUser;

public interface CommunityMemberUser extends CommunityUser {
    String RESOURCE_TYPE = "social/members/components/hbs/users/user";
    String COMMUNITY_USERS_PATH = "/home/users/community";

    /**
     * User display first name.
     * @return the user first name
     */
    String getFirstName() {
		return null;
	}

    /**
     * User display last name.
     * @return the user last name
     */
    String getLastName() {
		return null;
	}

    /**
     * Set analytics UGC resource.
     * @param analyticsUGCResource
     */
    void setAnalyticsMetrics(Resource analyticsUGCResource, String time) {
	}

    /**
     * Get the user view count.
     * @return views
     */
    public Long getViewsCount() {
		return null;
	}

    /**
     * Get the user post count.
     * @return posts
     */
    public Long getPostsCount() {
		return null;
	}

    /**
     * Get the user follow count.
     * @return follows
     */
    public Long getFollowsCount() {
		return null;
	}

    /**
     * Get the user like count.
     * @return likes
     */
    public Long getLikesCount() {
		return null;
	}
}
