/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.subscriptions.api;

public interface PreferencesEvaluatorManager {
    /**
     * Get the evaluator for the specified type and categoryId
     * @param type the following id, which indicates the following type that this evaluator supports.
     * @param categoryId the preference category id.
     * @return
     */
    PreferencesEvaluator getEvaluator(final SubscriptionType type, final String categoryId) {
		return null;
	}
}
