/*******************************************************************************
 * ADOBE CONFIDENTIAL
 * __________________
 *
 * Copyright 2016 Adobe Systems Incorporated
 * All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/

package com.adobe.cq.socialmedia;

/**
 * Social specific exception
 */
public class SocialException extends Exception {

    public SocialException() {}

    public SocialException(String message) {
        super(message);
    }

    public SocialException(Throwable throwable) {
        super(throwable);
    }

    public SocialException(String message, Throwable throwable) {
        super(message, throwable);
    }

}
