/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.granite.auth.saml.model;

import java.util.Calendar;

public class StatusResponse implements Message {

	// required
	private String id;
	private String version;
	private Calendar issueInstant;
	private Status status;
    private String rawMessage;

	// optional
	private String inResponseTo;
	private String destination;
	private String consent;
	private Issuer issuer;
	private Object extensions;

	/**
	 * Creates a new instance of StatusResponse.
	 */
	public StatusResponse() {
		super();
	}

	public String getId() {
		return null;
	}

	public void setId(String id) {
	}

	public String getVersion() {
		return null;
	}

	public void setVersion(String version) {
	}

	public Calendar getIssueInstant() {
		return null;
	}

	public void setIssueInstant(Calendar issueInstant) {
	}

    public Status getStatus() {
		return null;
	}

	public void setStatus(Status status) {
	}

	public String getInResponseTo() {
		return null;
	}

	public void setInResponseTo(String inResponseTo) {
	}

	public String getDestination() {
		return null;
	}

	public void setDestination(String destination) {
	}

	public String getConsent() {
		return null;
	}

	public void setConsent(String consent) {
	}

	public Issuer getIssuer() {
		return null;
	}

	public void setIssuer(Issuer issuer) {
	}

	public Object getExtensions() {
		return null;
	}

	public void setExtensions(Object extensions) {
	}
	
	public String getRawMessage() {
		return null;
	}

    public void setRawMessage(String rawMessage) {
	}
}
