/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.reef.siren.builder;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import com.adobe.reef.siren.Action;
import com.adobe.reef.siren.EmbeddedLink;
import com.adobe.reef.siren.EmbeddedRepresentation;
import com.adobe.reef.siren.Entity;
import com.adobe.reef.siren.Link;

/**
 * {@code EntityBuilder} is a {@link Builder} implementation for {@Entity}.
 */
public class EntityBuilder extends Builder<Entity> {

    private String[] clazz;
    
    private String title;

    private String[] rel;

    private String href;

    private Map<String, Object> properties = new HashMap<String,Object>();

    private List<Entity> entities = new LinkedList<Entity>();

    private List<Link> links = new LinkedList<Link>();

    private List<Action> actions = new LinkedList<Action>();

    public EntityBuilder() {

    }

    public EntityBuilder setTitle(String title) {
		return null;
	}

    public EntityBuilder setClass(String[] clazz) {
		return null;
	}

    public EntityBuilder setRel(String[] rel) {
		return null;
	}

    public EntityBuilder setHref(String href) {
		return null;
	}

    public EntityBuilder setProperties(Map<String, Object> properties) {
		return null;
	}

    public EntityBuilder addProperty(String name, Object value) {
		return null;
	}

    public EntityBuilder setEntities(List<Entity> entities) {
		return null;
	}

    public EntityBuilder addEntity(Entity entity) {
		return null;
	}

    public EntityBuilder setLinks(List<Link> links) {
		return null;
	}

    public EntityBuilder addLink(Link link) {
		return null;
	}

    public EntityBuilder setActions(List<Action> actions) {
		return null;
	}

    public EntityBuilder addAction(Action action) {
		return null;
	}

    public EntityBuilder clear() {
		return null;
	}

    protected Entity doBuild() throws BuilderException {
		return null;
	}

    protected void validate(Entity entity) throws BuilderValidationException {
	}

    private void validateHref(Entity entity) throws BuilderValidationException {
	}

    private void validateRel(Entity entity) throws BuilderValidationException {
	}

    private void validateSelf(Entity entity) throws BuilderValidationException {
	}

}
