/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.audit;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import org.apache.sling.commons.osgi.PropertiesUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class AbstractAuditLogPurgeRule implements AuditLogPurgeRule {

    // the typical logger

    protected static final Logger LOGGER = LoggerFactory.getLogger(AbstractAuditLogPurgeRule.class);

    private final String auditPath;

    // OSGi configuration params

    private String ruleName;

    private Set<String> eventTypes;

    private String contentPath;

    private int minimumAge;

    public AbstractAuditLogPurgeRule(String auditPath) {
        this.auditPath = auditPath;
    }

    // interface methods

    @Override
    public final String getName() {
		return null;
	}

    @Override
    public final Set<String> getEventTypes() {
		return null;
	}

    @Override
    public final String getContentPath() {
		return null;
	}

    @Override
    public final int getMinimumAge() {
		return 0;
	}

    // utility methods for activation/deactivation

    protected final void setUp(Map<String, Object> config) {
	}

    protected final void tearDown() {
	}

    @Override
    public final boolean equals(Object obj) {
		return false;
	}

    @Override
    public int hashCode() {
		return 0;
	}

    private static final <T> int hashCode(final int prime, final int hashCode, T object) {
		return 0;
	}

    @Override
    public final String toString() {
		return null;
	}

}
