package com.day.cq.dam.handler.standard.keynote;

import com.day.cq.dam.api.Asset;
import com.day.cq.dam.api.DamConstants;
import com.day.cq.dam.api.Rendition;
import com.day.cq.dam.api.metadata.ExtractedMetadata;
import com.day.cq.dam.commons.handler.AbstractAssetHandler;
import com.day.image.Layer;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.xml.sax.SAXException;

import javax.jcr.Node;
import javax.xml.parsers.ParserConfigurationException;
import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

/**
 * The <code>KeynoteHandler </code> is able to extract keynote 5 slides.
 */
@Component(inherit = true, metatype = false)
@Service
public class KeynoteHandler extends AbstractAssetHandler {

    /**
     * the default logger
     */
    private static final Logger log = LoggerFactory.getLogger(KeynoteHandler.class);

    /**
     * Mime type(s)
     */
    public static final String[] CONTENT_MIMETYPES = {
            "application/x-iWork-keynote-sffkey",
            "application/x-iwork-keynote-sffkey",
            "application/vnd.apple.keynote"};

    // ----------------------< AssetHandler >-----------------------------------
    /**
     * {@inheritDoc}
     */
    public ExtractedMetadata extractMetadata(final Asset asset) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public boolean canHandleSubAssets() {
		return false;
	}

    /**
     * {@inheritDoc}
     */
    public List<String> processSubAssets(final Asset asset) {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public String[] getMimeTypes() {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public BufferedImage getImage(final Rendition rendition) throws IOException {
		return null;
	}
    /**
     * {@inheritDoc}
     */
    public BufferedImage getImage(final Rendition rendition, Dimension dim) throws IOException {
		return null;
	}
}
