/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ************************************************************************/
package com.day.cq.security;

import javax.jcr.Session;
import javax.jcr.AccessDeniedException;

/**
 * Create an {@link com.day.cq.security.AccountManager AccountManager} for a
 * given session
 * @see AccountManager
 *
 * @deprecated since CQ 6.2 Use com.adobe.cq.account.api.AccountManagementService instead.
 */
public interface AccountManagerFactory {

    /**
     * @param session to create the AccountManager for
     * @return AccountManger
     * @throws AccessDeniedException in case the Session has not enough privileges
     *         to create an AccountManger
     */
    AccountManager createAccountManager(Session session) throws AccessDeniedException {
		return null;
	}

}
