/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.foundation;

import java.io.Reader;
import java.io.IOException;
import java.util.Set;
import java.util.HashSet;
import java.util.Arrays;

import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.apache.commons.io.IOUtils;
import com.day.cq.rewriter.htmlparser.HtmlParser;

/**
 * <code>TableBuilder</code>...
 */
public class TableXMLBuilder extends DefaultHandler {

    private static final Set<String> TABLE_TAGS = new HashSet<String>(Arrays.asList(
            "TABLE", "/TABLE",
            "TR", "/TR",
            "TD", "/TD",
            "TH", "/TH",
            "CAPTION", "/CAPTION",
            //"THEAD", "/THEAD",
            //"TFOOT", "/TFOOT",
            //"TBODY", "/TBODY",
            //"COLGROUP", "/COLGROUP",
            "COL"
    ));

    private Table table;

    private int rowNr = -1;

    private int colNr;

    private Table.Cell cell = null;

    private Table.Tag caption;

    public Table parse(Reader r) throws IOException {
		return null;
	}

    public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
	}

    private static void addAttributes(Table.Cell cell, Attributes attrs) {
	}

    private static void addAttributes(Table.Tag tag, Attributes attrs) {
	}

    private static void addAttributes(Table tag, Attributes attrs) {
	}

    public void endElement(String uri, String localName, String qName) throws SAXException {
	}

    public void characters(char ch[], int start, int length) throws SAXException {
	}
}