/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.mobile.api.device.capability;

import com.day.cq.wcm.mobile.api.devicespecs.DeviceSpecsConstants;
import org.apache.felix.scr.annotations.Component;
import org.apache.felix.scr.annotations.Service;

/**
 * Expresses content rotation support of a mobile device.
 *
 * @deprecated will be privatized, as capabilities are now available via {@link com.day.cq.wcm.mobile.api.device.DeviceMapper#getCapabilities()}
 */
@Component(metatype = false)
@Service
@SuppressWarnings("unused")
public class DeviceRotation implements DeviceCapability {

    private static final String[] KEYS = {DeviceSpecsConstants.DSPEC_DUAL_ORIENTATION};

    /**
     * {@inheritDoc}
     */
    public String getName() {
		return null;
	}

    /**
     * {@inheritDoc}
     */
    public String getTitle() {
		return null;
	}

    public String getDescription() {
		return null;
	}

    public String[] getKeys() {
		return null;
	}
}
