/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.tags;

import static com.day.cq.wcm.tags.DefineObjectsTag.*;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.VariableInfo;

import com.adobe.granite.xss.XSSAPI;
import com.day.cq.wcm.api.policies.ContentPolicy;
import org.apache.sling.api.resource.ValueMap;

import com.day.cq.commons.inherit.InheritanceValueMap;
import com.day.cq.wcm.api.Page;
import com.day.cq.wcm.api.PageManager;
import com.day.cq.wcm.api.components.Component;
import com.day.cq.wcm.api.components.ComponentContext;
import com.day.cq.wcm.api.components.EditContext;
import com.day.cq.wcm.api.designer.Design;
import com.day.cq.wcm.api.designer.Designer;
import com.day.cq.wcm.api.designer.Style;

/**
 * Tag extra info of the {@link DefineObjectsTag}.
 */
public class DefineObjectsTEI extends org.apache.sling.scripting.jsp.taglib.DefineObjectsTEI {

    public static final String ATTR_COMPONENT_CONTEXT_NAME = "componentContextName";
    public static final String ATTR_EDIT_CONTEXT_NAME = "editContextName";
    public static final String ATTR_PROPERTIES_NAME = "propertiesName";
    public static final String ATTR_PAGE_MANAGER_NAME = "pageManagerName";
    public static final String ATTR_CURRENT_PAGE_NAME = "currentPageName";
    public static final String ATTR_RESOURCE_PAGE_NAME = "resourcePageName";
    public static final String ATTR_PAGE_PROPERTIES_NAME = "pagePropertiesName";
    public static final String ATTR_COMPONENT_NAME = "componentName";
    public static final String ATTR_DESIGNER_NAME = "designerName";
    public static final String ATTR_CURRENT_DESIGN_NAME = "currentDesignName";
    public static final String ATTR_RESOURCE_DESIGN_NAME = "resourceDesignName";
    public static final String ATTR_CURRENT_STYLE_NAME = "currentStyleName";
	public static final String ATTR_XSSAPI_NAME = "xssAPIName";
	public static final String ATTR_CURRENT_POLICY_NAME = "currentPolicyName";
    public static final String ATTR_CURRENT_POLICY_PROPS_NAME = "currentPolicyPropertiesName";

    private static final String COMPONENT_CONTEXT_CLASS = ComponentContext.class.getName();
    private static final String EDIT_CONTEXT_CLASS = EditContext.class.getName();
    private static final String PROPERTIES_CLASS = ValueMap.class.getName();
    private static final String PAGE_MANAGER_CLASS = PageManager.class.getName();
    private static final String CURRENT_PAGE_CLASS = Page.class.getName();
    private static final String RESOURCE_PAGE_CLASS = Page.class.getName();
    private static final String PAGE_PROPERTIES_CLASS = InheritanceValueMap.class.getName();
    private static final String COMPONENT_CLASS = Component.class.getName();
    private static final String DESIGNER_CLASS = Designer.class.getName();
    private static final String CURRENT_DESIGN_CLASS = Design.class.getName();
    private static final String RESOURCE_DESIGN_CLASS = Design.class.getName();
    private static final String CURRENT_STYLE_CLASS = Style.class.getName();
	private static final String XSSAPI_CLASS = XSSAPI.class.getName();
	private static final String CURRENT_POLICY_CLASS = ContentPolicy.class.getName();
	private static final String CURRENT_POLICY_PROPS_CLASS = ValueMap.class.getName();

    public VariableInfo[] getVariableInfo(TagData data) {
		return null;
	}

    private void addVar(List<VariableInfo> varInfos, TagData data,
            String attrName, String defaultValue, String varClass) {
			}

    private String getValue(TagData data, String name, String defaultValue) {
		return null;
	}

}