/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.imageio.plugins;

import java.util.Locale;

import javax.imageio.ImageTypeSpecifier;

/**
 *
 * @version $Revision: 26109 $, $Date: 2007-04-17 16:41:22 +0200 (Di, 17 Apr 2007) $
 * @author fmeschbe
 * @since
 * @audience
 */
public class GifImageWriterUtil {

    public static final String vendorName = "Day Management AG";

    public static final String version = "1.0";

    public static final String[] names = { "gif", "GIF" };

    public static final String[] suffixes = { "gif", "GIF" };

    public static final String[] MIMETypes = { "image/gif" };

    public static final String nativeStreamMetadataFormatName =
	"com.day.imageio.gifstream_" + version;

    public static final String nativeImageMetadataFormatName =
	"com.day.imageio.gifimage_" + version;

    public static String getDescription(Locale locale) {
		return null;
	}

    public static boolean canEncodeImage(ImageTypeSpecifier type) {
		return false;
	}
}
