/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.jackrabbit.oak.plugins.index.lucene;

import java.util.Collection;
import java.util.Set;

import com.google.common.collect.Sets;
import org.apache.jackrabbit.oak.commons.PathUtils;
import org.apache.jackrabbit.oak.spi.query.Filter;
import org.apache.jackrabbit.oak.spi.state.ChildNodeEntry;
import org.apache.jackrabbit.oak.spi.state.NodeState;

import static org.apache.jackrabbit.oak.plugins.index.IndexConstants.INDEX_DEFINITIONS_NAME;
import static org.apache.jackrabbit.oak.plugins.index.lucene.util.LuceneIndexHelper.isLuceneIndexNode;

class LuceneIndexLookup {
    private final NodeState root;

    public LuceneIndexLookup(NodeState root) {
        this.root = root;
    }

    /**
     * Returns the path of the first Lucene index node which supports
     * fulltext search
     */
    public String getOldFullTextIndexPath(Filter filter, IndexTracker tracker) {
		return null;
	}

    public Collection<String> collectIndexNodePaths(Filter filter){
		return null;
	}

    private Collection<String> collectIndexNodePaths(Filter filter, boolean recurse){
		return null;
	}

    private static void collectIndexNodePaths(NodeState nodeState, String parentPath, Collection<String> paths) {
	}

    private static String createIndexNodePath(String parentPath, String name){
		return null;
	}
}
