/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.jackrabbit.vault.util;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * {@code Tree}...
 */
public class Tree<E> {

    private final char separator;

    private Node<E> root = new Node<E>(null, "");

    public Tree() {
        this('/');
    }

    public Tree(char separator) {
        this.separator = separator;
    }

    public void clear() {
	}

    public E put(String path, E elem) {
		return null;
	}

    public E get(String path) {
		return null;
	}

    public Node<E> getNode(String path) {
		return null;
	}

    public E remove(String path) {
		return null;
	}

    private Node<E> get(String path, boolean create) {
		return null;
	}

    public void removeChildren(String path) {
	}

    public Map<String, E> map() {
		return null;
	}

    public String getRootPath() {
		return null;
	}

    public Node<E> getRootNode() {
		return null;
	}

    private void fill(Map<String, E> map, Node<E> node, String parentPath) {
	}

    public static class Node<E> {

        private String name;

        private E elem;

        private final Node parent;

        private final Map<String, Node<E>> children = new LinkedHashMap<String, Node<E>>();

        private Node(Node parent, String name) {
            this.parent = parent;
            this.name = name;
        }

        private Node<E> get(String name, boolean create) {
			return null;
		}

        private Node<E> remove(String name) {
			return null;
		}

        private void prune() {
		}

        private void removeChildren() {
		}

        public String getName() {
			return null;
		}

        public E getElem() {
			return null;
		}

        public Node getParent() {
			return null;
		}

        public Map<String, Node<E>> getChildren() {
			return null;
		}

        @Override
        public String toString() {
			return null;
		}
    }

}