/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2017 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.export.json;

public final class ExporterConstants {

    /**
     * Sling Model selector
     */
    public static final String SLING_MODEL_SELECTOR = "model";

    /**
     * Sling Model exporter
     */
    public static final String SLING_MODEL_EXPORTER_NAME = "jackson";

    /**
     * Sling Model extension
     */
    public static final String SLING_MODEL_EXTENSION = "json";

    /**
     * Exported type property name
     */
    public static final String PN_TYPE = ":type";
    
    /**
     * Exported items property name
     */
    public static final String PN_ITEMS = ":items";

    /**
     * Exported items order property name
     */
    public static final String PN_ITEMS_ORDER = ":itemsOrder";

    private ExporterConstants() {}

}
