/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.commons.comments.listing;

public interface CommentSocialComponentQueryableList extends CommentSocialComponentList {
    /**
     * Set the path locations for the query. The default path constraint will be
     * {@link com.adobe.cq.social.ugc.api.PathConstraintType#IsDescendantNode}
     * @param paths the specified paths
     */
    void setPaths(String[] paths) {
	}
}
