/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2015 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.notifications.api;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class AbstractNotificationManager implements NotificationManager {
    private static final Logger LOG = LoggerFactory.getLogger(AbstractNotificationManager.class);
    
    protected int maxUnreadCount = 20;

    public int getUnreadCountConfigured() {
		return 0;
	}

}
