/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.reporting.dv.api;

import java.util.ArrayList;
import java.util.List;

import org.apache.sling.api.resource.Resource;
import org.apache.sling.commons.json.JSONArray;
import org.apache.sling.commons.json.JSONException;

import com.adobe.cq.social.reporting.ReportingConstants;
import com.adobe.cq.social.reporting.dv.model.api.DonutChartData;
import com.adobe.cq.social.reporting.dv.model.api.DonutChartLabels;
import com.adobe.cq.social.reporting.dv.model.api.DonutChartModel;
import com.adobe.cq.social.scf.ClientUtilities;
import com.adobe.cq.social.scf.core.BaseSocialComponent;

public abstract class AbstractDVDonutChartComponent extends BaseSocialComponent {

    protected DonutChartModel responseObject;

    protected AbstractDVDonutChartComponent(final Resource resource, final ClientUtilities clientUtils) {
        super(resource, clientUtils);

        responseObject = new DonutChartModel(null, null);
    }

    protected void postProcessDV(final JSONArray result, final int maxSegments) throws JSONException {
	}

    public DonutChartData getData() {
		return null;
	}

    public DonutChartLabels getLabels() {
		return null;
	}

    @Override
    protected List<String> getIgnoredProperties() {
		return null;
	}
}
