/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.srp.internal;

import java.io.ByteArrayInputStream;

/** A ByteArrayInputStream that can share the underlying buffer. */
public class SharedByteArrayInputStream extends ByteArrayInputStream {

    /**
     * Ctor.
     * @param buf the buffer to use
     */
    public SharedByteArrayInputStream(final byte[] buf) {
        super(buf);
    }

    /**
     * Fetch the underlying buffer.
     * @return the underlying buffer
     */
    byte[] getBuffer() {
		return null;
	}

}
