/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.cq.social.srp.internal;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.util.Calendar;
import java.util.List;

import org.apache.sling.api.resource.AbstractResource;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceMetadata;
import org.apache.sling.api.resource.ResourceResolver;

import com.adobe.cq.social.srp.SocialResource;
import com.adobe.cq.social.srp.SocialResourceProvider;

/**
 * A resource implementation for properties.
 */
public class SocialPropertyResourceImpl extends AbstractResource implements SocialResource {

    private final ResourceResolver resourceResolver;
    private final String path;
    private final String resourceType;
    private final ResourceMetadata metadata;
    private final SocialResourceProvider provider;
    private final Object propertyValue;

    /**
     * Ctor.
     * @param path the resource path
     * @param parentResourceType the parent resource type
     * @param provider the provider
     * @param resourceResolver the resource resolver
     * @param propertyName the property name
     * @param propertyValue the property value
     */
    public SocialPropertyResourceImpl(final String path, final String parentResourceType,
        final SocialResourceProvider provider, final ResourceResolver resourceResolver, final String propertyName,
        final Object propertyValue) {
        this.resourceResolver = resourceResolver;
        this.path = path;
        this.resourceType = parentResourceType + "/" + propertyName;
        this.metadata = new ResourceMetadata();
        this.metadata.setResolutionPath(path);
        this.provider = provider;
        this.propertyValue = propertyValue;
    }

    @Override
    public String getPath() {
		return null;
	}

    @Override
    public String getResourceType() {
		return null;
	}

    @Override
    public String getResourceSuperType() {
		return null;
	}

    @Override
    public ResourceMetadata getResourceMetadata() {
		return null;
	}

    @Override
    public ResourceResolver getResourceResolver() {
		return null;
	}

    @Override
    public SocialResourceProvider getResourceProvider() {
		return null;
	}

    @Override
    public Resource getRootJCRNode() {
		return null;
	}

    private String getString(final Object o) {
		return null;
	}

    private Boolean getBoolean(final Object o) {
		return null;
	}

    private Long getLong(final Object o) {
		return null;
	}

    private Double getDouble(final Object o) {
		return null;
	}

    @Override
    @SuppressWarnings({"unchecked", "rawtypes"})
    public <AdapterType> AdapterType adaptTo(final Class<AdapterType> type) {
		return null;
	}

    @Override
    public boolean checkPermissions(final String permission) {
		return false;
	}

}
