/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.adobe.cq.social.tally.client.api;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import javax.jcr.RepositoryException;

import org.apache.sling.api.resource.Resource;

import com.adobe.cq.social.scf.ClientUtilities;
import com.adobe.cq.social.tally.RatingComponent;

public abstract class AbstractRating extends AbstractTally implements RatingSocialComponent {
    private RatingComponent rating;

    private String currentUser;
    private List<String[]> ratingResults;
    protected String[] allowedResponses = {"5.0", "4.0", "3.0", "2.0", "1.0"};

    public AbstractRating(final Resource resource) {
        super(resource, null);
        initComponent();
    }

    public AbstractRating(final Resource resource, final ClientUtilities clientUtils) {
        super(resource, clientUtils);
        initComponent();
    }

    private void initComponent() {
	}

    @Override
    public String getName() {
		return null;
	}

    @Override
    public Long getTotalNumberOfResponses() {
		return null;
	}

    @Override
    public ResponseValue getCurrentUserResponse() throws TallyException {
		return null;
	}

    @Override
    public Map<String, Long> getResponseTallies() {
		return null;
	}

    public void addResponse(final String value) {
	}

    public void removeCurrentUserResponse() {
	}

    /*
     * (non-Javadoc)
     * @see com.adobe.cq.social.tally.http.impl.Rating#getAverageRating()
     */
    @Override
    public Float getAverageRating() {
		return null;
	}

    @Override
    public String getFormattedAverageRating() {
		return null;
	}

    @Override
    public List<String[]> getRatingResults() {
		return null;
	}

    private void buildRatingResults() {
	}

    @Override
    public boolean getCanUserRespond() {
		return false;
	}

}
