/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 *************************************************************************/
package com.adobe.cq.social.user.ugc.management.api;

import com.adobe.cq.social.scf.OperationException;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.commons.json.JSONException;

import javax.jcr.RepositoryException;
import javax.servlet.ServletException;
import java.io.IOException;
import java.io.OutputStream;

public interface UserUgcManagement {
    public void getUserUgc(ResourceResolver resourceResolver, String user, OutputStream outputStream) throws JSONException, OperationException, RepositoryException, IOException, ServletException {
	}
    public void deleteUserUgc(ResourceResolver resourceResolver, String user) throws OperationException, RepositoryException {
	}
    public void deleteUserAccount(ResourceResolver resourceResolver, String user) throws OperationException, RepositoryException {
	}

}
