/*******************************************************************************
 * ADOBE CONFIDENTIAL
 * __________________
 *
 * Copyright 2016 Adobe Systems Incorporated
 * All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 ******************************************************************************/

package com.adobe.cq.xf;

import org.apache.sling.api.resource.ResourceResolver;

/**
 * Creates instances of {@link ExperienceFragmentsService}
 */
public interface ExperienceFragmentsServiceFactory {

    /**
     * Creates an {@link ExperienceFragmentsService} from a {@link ResourceResolver}
     * @param resolver a {@link ResourceResolver} instance
     * @return a new {@link ExperienceFragmentsService}
     */
    ExperienceFragmentsService getExperienceFragmentsService(ResourceResolver resolver) {
		return null;
	}

}
