/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2016 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.adobe.granite.omnisearch.api.core;

/**
 * <code>OmniSearchException</code> is use to send error message from <code>SavedSearchHandler</code>
 * to the UI.
 */
public class OmniSearchException extends Exception{

    private static final long serialVersionUID = -9160962490084085877L;

    public OmniSearchException() {
        super();
    }

    public OmniSearchException(String message) {
        super(message);
    }

    public OmniSearchException(String message, Throwable cause) {
        super(message, cause);
    }

    public OmniSearchException(Throwable cause) {
        super(cause);
    }
}
