/*******************************************************************************
 * ADOBE CONFIDENTIAL
 *  __________________
 *  Copyright 2014 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 *  NOTICE:  All information contained herein is, and remains
 *  the property of Adobe Systems Incorporated and its suppliers,
 *  if any.  The intellectual and technical concepts contained
 *  herein are proprietary to Adobe Systems Incorporated and its
 *  suppliers and are protected by trade secret or copyright law.
 *  Dissemination of this information or reproduction of this material
 *  is strictly forbidden unless prior written permission is obtained
 *  from Adobe Systems Incorporated.
 ******************************************************************************/

package com.day.cq.analytics.testandtarget;

import com.day.cq.analytics.testandtarget.impl.OfferBase;

/**
 * A response object containing offer data as retrieved from Adobe Target
 */
public class ViewOfferResponse extends OfferBase {

    /**
     * Constructs a new ViewOfferResponse
     * 
     * @param offerId the id of the offer
     * @param name the name of the offer
     * @param content the content of the offer
     */
     public ViewOfferResponse(long offerId, String name, String content) {
         super(offerId, name, content);
     }

    @Override
    public String getContent() {
		return null;
	}

    @Override
    public String getName() {
		return null;
	}

}
