package com.day.cq.dam.handler.standard.keynote;

import org.w3c.dom.Element;

/**
 * The <code>KeynoteMasterSlide</code>
 */
public class KeynoteMasterSlide extends KeynoteBaseSlide {
	private String name;
	
	public KeynoteMasterSlide(Element element,
			KeynotePresentation keynotePresentation) {
		super(element, keynotePresentation);
		this.name = element.getAttributeNS(KeynotePresentation.NAMESPACES_KEYNOTE2, "name");
	}

    /**
     * Get name of master slide
     *
     * @return name of master slide
     */
	public String getName() {
		return null;
	}
}
