/*
 * Copyright 1997-2011 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.notification.api;

import org.osgi.service.event.Event;

/**
 * <code>NotificationService</code>...
 */
public interface NotificationService {


    /**
     * Adds the given subscription.
     *
     * @param subscription The {@link Subscription}.
     */
    void subscribe(Subscription subscription) {
	}

    /**
     * Removes the given subscription.
     *
     * @param subscription The {@link Subscription}
     */
    void unsubscribe(Subscription subscription) {
	}
}
