/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * __________________
 *
 *  Copyright 2011 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/

package com.day.cq.personalization;

import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.resource.ResourceResolver;
import org.apache.sling.api.resource.ValueMap;

import com.day.cq.wcm.api.Page;

public class TeaserUtils {

    /**
     * Returns a image for the teaser, based on the following logic:<ul>
     *     <li>check for page image</li>
     *     <li>check for first par image component</li>
     *     <li>check for first par textimage component</li>
     *     <li>fallback, return page template thumbnail</li>
     * </ul>
     * @param teaser Teaser page
     * @return A URL to the image.
     */
    public static String getImage(Page teaser) {
		return null;
	}

    /**
     * Returns a image for the teaser, based on the following logic:<ul>
     *     <li>check for page image</li>
     *     <li>check for first par image component</li>
     *     <li>check for first par textimage component</li>
     *     <li>fallback, return page template thumbnail</li>
     * </ul>
     * 
     * @param request SlingHttpServletRequest used for resource mapping
     * @param teaser Teaser page
     * @return A URL to the image.
     */
    public static String getImage(SlingHttpServletRequest request, Page teaser) {
		return null;
	}
}
