/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */

package com.day.cq.wcm.api.components;

/**
 * Defines a virtual CQ5 Component. Virtual components are a extension to
 * real components in respect of extending description and initial creation
 * information.
 */
public interface VirtualComponent extends Component {

    /**
     * Returns the real component.
     * @return the real component.
     */
    Component getComponent() {
		return null;
	}
}