/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 *  Copyright 2012 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 **************************************************************************/
package com.day.cq.wcm.designimporter.parser.taghandlers;

import com.adobe.granite.xss.XSSAPI;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.xml.sax.Attributes;

import javax.jcr.RepositoryException;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * This tag handler is used to transform the src attribute within an img tag.
 *
 * <p>
 * Since the images should continue to be referable, their src attribute values are prepended with the current design path. Note that design
 * path is where the images are dumped during the import process.
 * </p>
 *
 * @see com.day.cq.wcm.designimporter.parser.taghandlers.factory.ImgTagHandlerFactory
 */
public class ImgTagHandler extends DefaultTagHandler {

    private String title;

    private String alt;

    private String width;

    private String height;

    private String usemap;

    public XSSAPI xssAPI;

    public String getTitle() {
		return null;
	}

    public String getAlt() {
		return null;
	}

    public String getWidth() {
		return null;
	}

    public String getHeight() {
		return null;
	}

    public String getUsemap() {
		return null;
	}

    private String rawSrc;

    public String getRawSrc() {
		return null;
	}

    private String normalizedSrc;

    public boolean isRawSrcAbsolute() {
		return false;
	}

    private boolean normalizationRequired = true;

    private String normalizationPrefix;

    public void setNormalizationPrefix(String normalizationPrefix) {
	}

    public boolean isNormalizationRequired() {
		return false;
	}

    public void setNormalizationRequired(boolean normalizationRequired) {
	}

    private Logger logger = LoggerFactory.getLogger(ImgTagHandler.class);

    @Override
    public void beginHandling(String uri, String localName, String qName, Attributes atts) {
	}

    @Override
    protected String getStartTag(String uri, String localName, String qName, Attributes atts) {
		return null;
	}

    protected boolean isAbsoluteUrl(String url) {
		return false;
	}

    private String getDesignPath() {
		return null;
	}

    public void setXssAPI(XSSAPI xssAPI) {
	}

}
