/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.wcm.foundation;

import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang3.StringEscapeUtils;

/**
 * Implements a very basic table parser.
 */
public class Table {

    private LinkedList<Row> rows = new LinkedList<Row>();

    private LinkedList<Column> cols = new LinkedList<Column>();

    private Cell[][] data = new Cell[8][8];

    private Tag caption;

    private List<ColTag> colTags = new LinkedList<ColTag>();

    private Attributes attributes = new Attributes();

    public List<ColTag> getColTags() {
		return null;
	}

    public Attributes getAttributes() {
		return null;
	}

    public Table setAttribute(String name, String value) {
		return null;
	}


    public Tag getCaption() {
		return null;
	}

    public Tag setCaption(String text) {
		return null;
	}

    public Cell getCell(int row, int col, boolean create) {
		return null;
	}

    public int[][] getIntData(int rowStart, int numRows, int colStart, int numCols) {
		return null;
	}

    public int[][] getIntData() {
		return null;
	}

    public double[][] getDoubleData(int rowStart, int numRows, int colStart, int numCols) {
		return null;
	}

    public double[][] getDoubleData() {
		return null;
	}

    public void setSize(int numRows, int numCols) {
	}

    public List<Row> getRows() {
		return null;
	}

    public List<Column> getColumns() {
		return null;
	}

    public Row getRow(int nr) {
		return null;
	}

    public Column getColumn(int nr) {
		return null;
	}
    
    public int getNumCols() {
		return 0;
	}

    public int getNumRows() {
		return 0;
	}

    public void clear() {
	}

    public static Table fromXML(String s) {
		return null;
	}

    public static Table fromXML(Reader r) throws IOException {
		return null;
	}

    public static Table fromCSV(String s) {
		return null;
	}

    public static Table fromCSV(String s, char delim) {
		return null;
	}

    public class Row {

        private int nr;

        private Row(int nr) {
            this.nr = nr;
        }

        public int getNr() {
			return 0;
		}

        public boolean isFirst() {
			return false;
		}

        public boolean isLast() {
			return false;
		}

        public Table getTable() {
			return null;
		}

        public List<Cell> getCells() {
			return null;
		}

        public Row setHeader(boolean header) {
			return null;
		}
    }

    public class Column {

        private int nr;

        private Column(int nr) {
            this.nr = nr;
        }

        public int getNr() {
			return 0;
		}

        public boolean isFirst() {
			return false;
		}

        public boolean isLast() {
			return false;
		}

        public Table getTable() {
			return null;
		}

        public List<Cell> getCells() {
			return null;
		}
    }

    public static class Cell {

        private Row row;

        private Column col;

        private String text;

        private Attributes attributes;

        private boolean header;

        private int colSpan = 1;

        private int rowSpan = 1;

        private Cell spanSource;

        private Cell(Row row, Column col) {
            this.row = row;
            this.col = col;
        }

        public Row getRow() {
			return null;
		}

        public Column getCol() {
			return null;
		}

        public Cell getSpanSource() {
			return null;
		}

        public String getText() {
			return null;
		}

        public Cell appendText(char[] ch, int offset, int len) {
			return null;
		}
        
        public int getIntValue() {
			return 0;
		}

        public double getDoubleValue() {
			return 0.0d;
		}

        public int getColSpan() {
			return 0;
		}

        public boolean isInSpan() {
			return false;
		}

        private Table getTable() {
			return null;
		}

        public Cell setColSpan(int colSpan) {
			return null;
		}

        public int getRowSpan() {
			return 0;
		}

        public Cell setRowSpan(int rowSpan) {
			return null;
		}

        private void internalSetSpans(int rSpan, int cSpan) {
		}

        public Cell setText(CharSequence text) {
			return null;
		}

        public boolean isHeader() {
			return false;
		}

        public Cell setHeader(boolean header) {
			return null;
		}

        public String getAttribute(String name) {
			return null;
		}

        public Cell setAttribute(String name, String value) {
			return null;
		}

        public Cell clearAttributes() {
			return null;
		}

        public Map<String, String> getAttributes() {
			return null;
		}

        public void toHtml(Writer out) throws IOException {
		}
    }

    public static class Tag {

        protected final String name;

        protected final Attributes attrs = new Attributes();

        protected String innerHtml;

        public Tag(String name) {
            this.name = name;
        }

        public String getName() {
			return null;
		}

        public String getInnerHtml() {
			return null;
		}

        public Tag setInnerHtml(String innerHtml) {
			return null;
		}

        public Tag appendInnerHtml(char[] ch, int offset, int len) {
			return null;
		}

        public Attributes getAttributes() {
			return null;
		}

        public Tag setAttribute(String name, String value) {
			return null;
		}

        public void toHtml(Writer out) throws IOException {
		}
    }

    public static class ColTag extends Tag {
        public ColTag() {
            super("col");
        }

        public Tag setInnerHtml(String innerHtml) {
			return null;
		}
    }


    public static class Attributes extends HashMap<String, String> {

        public void toHtml(Writer out) throws IOException {
		}
    }

    public void toHtml(Writer out) throws IOException {
	}
}