/*
 * Copyright 1997-2008 Day Management AG
 * Barfuesserplatz 6, 4001 Basel, Switzerland
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information of
 * Day Management AG, ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Day.
 */
package com.day.cq.workflow.launcher;

import java.util.List;


/**
 * The <code>ConfigEntry</code> represents <i>one</i> workflow launcher 
 * configuration entry
 */
public class ConfigEntry {
    private String nodetype;
    private String whereClause;
    private int eventType;
    private String glob;
    private String workflow;
    private String id;
    private String description;
    private boolean enabled;
    private List<String> excludeList;
    private List<String> runModes;
    
    public ConfigEntry(int eventType, String glob, String nodetype,
                       String whereClause, String workflow, String id,
                       String description, boolean enabled,
                       List<String> excludeList, List<String> runModes) {
        this.eventType = eventType;
        this.glob = glob;
        this.nodetype = nodetype;
        this.whereClause = whereClause;
        this.workflow = workflow;
        this.id = id;
        this.description = description;
        this.enabled = enabled;
        this.excludeList = excludeList;
        this.runModes = runModes;
    }

    public String getWorkflow() {
		return null;
	}

    public void setWorkflow(String actionClassScript) {
	}

    public int getEventType() {
		return 0;
	}

    public void setEventType(int eventType) {
	}

    public String getGlob() {
		return null;
	}

    public void setGlob(String glob) {
	}

    public String getNodetype() {
		return null;
	}

    public void setNodetype(String nodetype) {
	}

    public String getWhereClause() {
		return null;
	}

    public void setWhereClause(String whereClause) {
	}

    public String getId() {
		return null;
	}

    public void setId(String id) {
	}


    public String getDescription() {
		return null;
	}

    public void setDescription(String description) {
	}

    public int hashCode() {
		return 0;
	}


    public boolean isEnabled() {
		return false;
	}

    public void setEnabled(boolean enabled) {
	}


    public List<String> getExcludeList() {
		return null;
	}

    public void setExcludeList(List<String> excludeList) {
	}

    public List<String> getRunModes() {
		return null;
	}

    public void setRunModes(List<String> runModes) {
	}
}
