/*************************************************************************
*
* ADOBE CONFIDENTIAL
* ___________________
*
*  Copyright 2011 Adobe Systems Incorporated
*  All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains
* the property of Adobe Systems Incorporated and its suppliers,
* if any.  The intellectual and technical concepts contained
* herein are proprietary to Adobe Systems Incorporated and its
* suppliers and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from Adobe Systems Incorporated.
**************************************************************************/
package com.day.crx.packaging;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletResponse;

import org.apache.sling.commons.json.JSONException;
import org.apache.sling.commons.json.io.JSONWriter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JSONResponse {

    private static final Logger log = LoggerFactory.getLogger(JSONResponse.class);

    public static final String TEXT_HTML_UTF8 = "text/html; charset=utf-8";

    public static final String APPLICATION_JSON_UTF8 = "application/json; charset=utf-8";

    private int status = 200;

    private boolean success = true;

    private String message = "";

    private String path = "";

    private String data = "";

    private String location = "";

    private String contentType = APPLICATION_JSON_UTF8;

    private boolean jsonInTextarea = false;

    public JSONResponse() {
    }

    public JSONResponse(boolean success, String message) {
        this.success = success;
        this.message = message;
        this.status = success ? 200 : 500;
    }

    public JSONResponse(boolean success, String message, String path) {
        this.success = success;
        this.message = message;
        this.status = success ? 200 : 500;
        this.path = path;
    }

    public int getStatus() {
		return 0;
	}

    public void setStatus(int status) {
	}

    public boolean isSuccess() {
		return false;
	}

    public void setSuccess(boolean success) {
	}

    public String getMessage() {
		return null;
	}

    public void setMessage(String message) {
	}

    public String getPath() {
		return null;
	}

    public void setPath(String path) {
	}

    public String getData() {
		return null;
	}

    public void setData(String data) {
	}

    public String getLocation() {
		return null;
	}

    public void setLocation(String location) {
	}

    public void writeJsonInTextarea(boolean v) {
	}

    public void send(HttpServletResponse response, boolean setStatus)
            throws IOException {
			}

}